# ews-hex-grid



<!-- Auto Generated Below -->


## Properties

| Property      | Attribute      | Description                                  | Type                 | Default     |
| ------------- | -------------- | -------------------------------------------- | -------------------- | ----------- |
| `customClass` | `custom-class` | Additional CSS class for the container.      | `string`             | `''`        |
| `gap`         | `gap`          | Gap between hex cells in pixels.             | `number`             | `4`         |
| `hexHeight`   | `hex-height`   | Height of each hex cell in pixels.           | `number`             | `undefined` |
| `hexWidth`    | `hex-width`    | Width of each hex cell in pixels.            | `number`             | `undefined` |
| `variant`     | `variant`      | Hex orientation variant: 'pointy' or 'flat'. | `"flat" \| "pointy"` | `'pointy'`  |


----------------------------------------------

*Built with [StencilJS](https://stenciljs.com/)*
